﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DB_ABT.Fenster {
    /// <summary>
    /// Interaktionslogik für FReadInput2.xaml
    /// </summary>
    public partial class FReadInput2 : Window {

        private bool retcode = false;


        public bool Retcode {
            get { return retcode; }
        }



        public String Input1 {
            get { return tInput1.Text.Trim(); }
        }
        public String Input2 {
            get { return tInput2.Text.Trim(); }
        }

        public FReadInput2(Window owner, String label1, String text1, String label2, String text2) {
            InitializeComponent();
            this.Owner = owner;  // Important, because CenterOwner           
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            LInput1.Content = label1;
            LInput2.Content = label2;
            tInput1.Text = text1;
            tInput2.Text = text2;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {

        }

        private void bnOk_Click(object sender, RoutedEventArgs e) {
            if (tInput1.Text.Trim().Length == 0) {
                Basis.ErrorMsg("Geben Sie bitte einen Wert ein", "Hinweis");
                tInput1.Focus();
                return;
            }
            if (tInput2.Text.Trim().Length == 0) {
                Basis.ErrorMsg("Geben Sie bitte einen Wert ein", "Hinweis");
                tInput2.Focus();
                return;
            }
            retcode = true;
            Close();
        }

        private void bnEsc_Click(object sender, RoutedEventArgs e) {
            Close();
        }

        private void Window_KeyDown(object sender, KeyEventArgs e) {
            if (Keyboard.IsKeyDown(Key.Return)) {
                bnOk_Click(sender, e);
            }
        }
    }
}
