﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using System.ComponentModel;

namespace DB_ABT.Models {
    public abstract class ModelBase : IComparable, INotifyPropertyChanged  {
        public bool newAttrib = true;
        public bool modifyAttrib = false;


        public abstract int CompareTo(object obj);

        public void NotifyPropertyChanged(string name) {
            if (PropertyChanged != null) {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;  

    }
}
