﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Input;

namespace DB_ABT {
    public class MyCommands {

        private static RoutedUICommand openDBFile;
        private static RoutedUICommand newDBFile;
        private static RoutedUICommand close;

        private static RoutedUICommand abt;
        private static RoutedUICommand employee;
        private static RoutedUICommand employee2;
        private static RoutedUICommand masterDetails;

        private static RoutedUICommand dBS_Console;
        private static RoutedUICommand options;

        static MyCommands() {
            newDBFile = new RoutedUICommand("Neue Datenbank", "newDatabase", typeof(MyCommands));
            newDBFile.InputGestures.Add(new KeyGesture(Key.N, ModifierKeys.Control));

            openDBFile = new RoutedUICommand("Öffnen einer Datenbank", "openDatabase", typeof(MyCommands));
            openDBFile.InputGestures.Add(new KeyGesture(Key.O, ModifierKeys.Control));

            close = new RoutedUICommand("Schließen", "close", typeof(MyCommands));


            abt = new RoutedUICommand("Abteilung", "abt", typeof(MyCommands));
            employee = new RoutedUICommand("Mitarbeiter", "mitarbeiter", typeof(MyCommands));
            employee2 = new RoutedUICommand("Mitarbeiter mit dnamischen Spalten", "mitarbeiter2", typeof(MyCommands));
            masterDetails = new RoutedUICommand("Masterdetails", "masterdetails", typeof(MyCommands));

            dBS_Console = new RoutedUICommand("Datenbank Konsole", "DBS_Console", typeof(MyCommands));
            options = new RoutedUICommand("Einstellungen", "Options", typeof(MyCommands));

        }

        public static RoutedUICommand OpenDBFile {
            get { return openDBFile; }
        }
        public static RoutedUICommand NewDBFile {
            get { return newDBFile; }
        }

        public static RoutedUICommand Close {
            get { return close; }
        }


        public static RoutedUICommand Abt {
            get { return abt; }
        }
        public static RoutedUICommand Employee {
            get { return employee; }
        }
        public static RoutedUICommand Employee2 {
            get { return employee2; }
        }
        public static RoutedUICommand MasterDetails {
            get { return masterDetails; }
        }

        


        public static RoutedUICommand DBS_Console {
            get { return dBS_Console; }
        }
        public static RoutedUICommand Options {
            get { return options; }
        }

    }
}
