﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using System.Collections.ObjectModel;
using DB_ABT.Models;
using DB_ABT.DBS_Klassen;

namespace DB_ABT.ViewModels {
    public class ObservableCollection_Dept {
        private ObservableCollection<ModelDept> items = new ObservableCollection<ModelDept>();
        private ObservableCollection<ModelDept> deleteItems = new ObservableCollection<ModelDept>();

        public int getDeleteItemsCount() {
            return deleteItems.Count;
        }


        public ObservableCollection<ModelDept> Items {
            get { return items; }
        }

        // public String filter = "";

        public ObservableCollection_Dept() {
            // CollectionChanged += this.OnCollectionChanged;
            
            
        }

        // public override void RemoveAt(int index) { }
        // public override bool Remove(DBSKlasse item) { }

        public void Delete(ModelDept item) {
            items.Remove((ModelDept)item);
            deleteItems.Add(item);
        }


        protected void InsertItem(int index, ModelDept item) {
            for (var i = 0; i < items.Count; i++) {
                ModelDept abt = items[i];
                ModelBase obj1 = (ModelBase)items[i];
                ModelBase obj2 = (ModelBase)item;

                // String s = abt.

                switch (obj1.CompareTo(obj2)) {
                    case 0:
                    case 1:
                        items.Insert(i, item);
                        return;
                    case -1:
                        break;

                }
            }
            items.Add(item);
        }

        public void clearModify() {
            foreach (ModelDept dept in items) {
                dept.modifyAttrib = false;
                dept.newAttrib = false;
            }
            deleteItems.Clear();
        }


        public void save2Database() {
            
            Dbs dbs = Dbs.getDbsInstance();            
            String sql;
            foreach (ModelDept abt in deleteItems) {
                sql = "DELETE FROM Abteilung WHERE pindex=" + abt.PIndex + ";";
                dbs.changeDBS(sql);
            }
            foreach (ModelDept abt in items) {
                if (abt.newAttrib) {
                    sql = "INSERT INTO Abteilung(pindex, kurzbez, bez) "+
                            "Values ("+abt.PIndex+", "+abt.getKurzBezQuote()+", "+abt.getBezQuote()+");";
                    dbs.changeDBS(sql);
                }
                else {
                    if (abt.modifyAttrib) {
                       sql= "UPDATE Abteilung "+
                            " SET kurzbez="+abt.getKurzBezQuote()+", bez="+abt.getBezQuote()+" "+
                            " WHERE pindex="+abt.PIndex+";";
                       dbs.changeDBS(sql);
                    }
                }
            }
        }



    }
}
