﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using System.Collections.ObjectModel;
using DB_ABT.Models;
using DB_ABT.DBS_Klassen;

namespace DB_ABT.ViewModels {
    public class ObservableCollection_Employee {

        private ObservableCollection<ModelEmployee> items = new ObservableCollection<ModelEmployee>();
        private ObservableCollection<ModelEmployee> deleteItems = new ObservableCollection<ModelEmployee>();

        public int getDeleteItemsCount() {
            return deleteItems.Count;
        }


        public ObservableCollection<ModelEmployee> Items {
            get { return items; }
        }

        public ObservableCollection_Employee() {
            // CollectionChanged += this.OnCollectionChanged;
        }


        public void Delete(ModelEmployee item) {
            items.Remove((ModelEmployee)item);
            deleteItems.Add(item);
        }


        protected void InsertItem(int index, Object item) {
            for (var i = 0; i < items.Count; i++) {
                ModelEmployee abt = items[i];
                ModelEmployee obj1 = (ModelEmployee)items[i];
                ModelEmployee obj2 = (ModelEmployee)item;

                switch (obj1.CompareTo(obj2)) {
                    case 0:
                    case 1:
                        items.Insert(i, (ModelEmployee)item);
                        return;
                    case -1:
                        break;

                }
            }
            items.Add((ModelEmployee)item);
        }

        public void clearModify() {
            foreach (ModelEmployee empl in items) {
                empl.modifyAttrib = false;
                empl.newAttrib = false;
            }
            deleteItems.Clear();
        }

        public void save2Database() {
            
            Dbs dbs = Dbs.getDbsInstance();            
            String sql;
            foreach (ModelEmployee mit in deleteItems) {
                sql = "DELETE FROM Mitarbeiter WHERE pindex=" + mit.PIndex + ";";
                dbs.changeDBS(sql);
            }
            foreach (ModelEmployee mit in items) {
                if (mit.newAttrib) {
                    sql = "INSERT INTO Abteilung(pindex, vorname, nachname, monatsgehalt, aindex) "+
                            "Values ("+mit.PIndex+", "+mit.getFirstnameQuote()+", "+mit.getLastameQuote()
                               +", "+mit.Monthsalary+", "+mit.DeptIindex +");";
                    dbs.changeDBS(sql);
                }
                else {
                    if (mit.modifyAttrib) {
                       sql= "UPDATE Mitarbeiter "+
                            " SET vorname="+mit.getFirstnameQuote()+", nachname="+mit.getLastameQuote()
                              + ", monatsgehalt=" + mit.Monthsalary + ", AIndex= " +mit.DeptIindex   +" "+
                            " WHERE pindex="+mit.PIndex+";";
                       dbs.changeDBS(sql);
                    }
                }
            }
        }



    }
}
